"use strict";

import React from 'react';
import { RoundedRect } from '@shopify/react-native-skia';
import { getBorderRadius } from "../utils.js";
import { jsx as _jsx } from "react/jsx-runtime";
export const CornerRadii = /*#__PURE__*/React.memo(function CornerRadii({
  width,
  height,
  style,
  children,
  backgroundColor
}) {
  const rrct = React.useMemo(() => {
    const {
      topLeftRadius,
      topRightRadius,
      bottomRightRadius,
      bottomLeftRadius
    } = getBorderRadius(style);
    return {
      rect: {
        x: 0,
        y: 0,
        width: width,
        height: height
      },
      topLeft: {
        x: topLeftRadius,
        y: topLeftRadius
      },
      topRight: {
        x: topRightRadius,
        y: topRightRadius
      },
      bottomRight: {
        x: bottomRightRadius,
        y: bottomRightRadius
      },
      bottomLeft: {
        x: bottomLeftRadius,
        y: bottomLeftRadius
      }
    };
  }, [width, height, style]);
  return /*#__PURE__*/_jsx(RoundedRect, {
    rect: rrct,
    color: backgroundColor,
    children: children
  });
});
//# sourceMappingURL=CornerRadii.js.map