import { type AnimatedStyleProp } from 'react-native-reanimated';
import type { GestureResponderEvent, PressableProps, ViewStyle } from 'react-native';
type UseAnimatedOffsetProps = {
    offset: {
        width: number;
        height: number;
    };
    reflectedLightOffset: {
        width: number;
        height: number;
    };
    blurRadius: number;
    damping: number;
    duration: number;
    onPressIn?: PressableProps['onPressIn'];
    onPressOut?: PressableProps['onPressOut'];
};
export declare function useAnimatedOffset(props: UseAnimatedOffsetProps): {
    onPressIn: (event: GestureResponderEvent) => void;
    onPressOut: (event: GestureResponderEvent) => void;
    depth: import("react-native-reanimated").SharedValue<number>;
    offset: {
        dx: Readonly<{
            value: number;
        }>;
        dy: Readonly<{
            value: number;
        }>;
    };
    reflectedLightOffset: {
        dx: Readonly<{
            value: number;
        }>;
        dy: Readonly<{
            value: number;
        }>;
    };
    inset: Readonly<{
        value: boolean;
    }>;
    blurRadius: Readonly<{
        value: number;
    }>;
    PressedAnimatedStyle: AnimatedStyleProp<ViewStyle>;
};
export {};
//# sourceMappingURL=useAnimatedOffset.d.ts.map