import type { ViewStyle } from 'react-native';
import type { GetBackgroundColorProps, GetLinearDirectionProps, GetOuterShadowOffsetProps, GetShadowPropertyProps, InnerShadowProps, LinearInnerShadowProps } from './types';
export declare function numerify<T extends null | number>(value: unknown, defaultValue: T): number | T;
export declare function getBorderRadius(style?: Partial<ViewStyle>): {
    borderRadius: number | null;
    topLeftRadius: number;
    topRightRadius: number;
    bottomRightRadius: number;
    bottomLeftRadius: number;
};
export declare function getBackgroundColor(props: GetBackgroundColorProps): string;
export declare function getShadowProperty({ inset, shadowOffset, shadowBlur, shadowColor, reflectedLightOffset, reflectedLightBlur, reflectedLightColor, }: GetShadowPropertyProps): {
    shadowOffset: {
        width: number;
        height: number;
    };
    reflectedLightOffset: {
        width: number;
        height: number;
    };
    shadowColor: string;
    reflectedLightColor: string;
    shadowBlur: number;
    reflectedLightBlur: number;
};
export declare function getOuterShadowOffset({ inset, shadowColor, shadowOffset, shadowBlur, shadowOpacity, shadowRadius, elevation, boxShadow, }: GetOuterShadowOffsetProps): {
    shadowColor?: undefined;
    shadowOffset?: undefined;
    shadowBlur?: undefined;
    shadowOpacity?: undefined;
    shadowRadius?: undefined;
    elevation?: undefined;
    boxShadow?: undefined;
} | {
    shadowColor: string | undefined;
    shadowOffset: {
        width: number;
        height: number;
    } | undefined;
    shadowBlur: number | undefined;
    shadowOpacity: number;
    shadowRadius: number;
    elevation: number;
    boxShadow: string | undefined;
};
export declare function getLinearDirection({ width, height, from, to, }: GetLinearDirectionProps): {
    start: import("@shopify/react-native-skia").SkPoint;
    end: import("@shopify/react-native-skia").SkPoint;
};
export declare function isLinearProps(props: InnerShadowProps | LinearInnerShadowProps): props is LinearInnerShadowProps;
//# sourceMappingURL=utils.d.ts.map